Bug 163960

Summary: Implement the "noopener" feature for window.open()
Product: WebKit Reporter: Andy Estes <aestes>
Component: DOMAssignee: Chris Dumez <cdumez>
Status: RESOLVED FIXED    
Severity: Normal CC: aakash_jain, achristensen, cdumez, darin, rniwa, sam, simon, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=155166
Attachments:
Description Flags
Patch
none
Reuploading patch for ews none

Description Andy Estes 2016-10-25 11:50:38 PDT
Step 9.1 of https://html.spec.whatwg.org/#dom-open says:

    If the result of splitting features on commas contains the token "noopener", then disown target browsing context's opener and return null.

We should implement this feature to compliment our support for rel=noopener on a and area elements.
Comment 1 Radar WebKit Bug Importer 2016-10-25 11:51:47 PDT
<rdar://problem/28941679>
Comment 2 Simon Pieters (:zcorpan) 2017-03-21 02:54:05 PDT
web-platform-tests:
html/browsers/windows/auxiliary-browsing-contexts/opener-noopener.html

added in https://github.com/w3c/web-platform-tests/pull/5131
Comment 3 Chris Dumez 2017-03-21 12:23:26 PDT
Created attachment 305008 [details]
Patch
Comment 4 Aakash Jain 2017-03-21 13:28:08 PDT
Created attachment 305019 [details]
Reuploading patch for ews
Comment 5 Chris Dumez 2017-03-22 09:15:25 PDT
Comment on attachment 305008 [details]
Patch

Clearing flags on attachment: 305008

Committed r214251: <http://trac.webkit.org/changeset/214251>
Comment 6 Chris Dumez 2017-03-22 09:15:30 PDT
All reviewed patches have been landed.  Closing bug.